Var bolCustomCreatedLegacy

!insertmacro GetParent

!macro CustomCodePreInstall
	${If} ${FileExists} "$INSTDIR\App\AppInfo\appinfo.ini"
		ReadINIStr $2 "$INSTDIR\App\AppInfo\appinfo.ini" "Version" "PackageVersion"
		${VersionCompare} $2 "5.0.0.0" $R0
		${If} $R0 == 2
		${AndIf} ${FileExists} "$INSTDIR\Data\settings\gramps\*.*"
			${GetParent} $INSTDIR $1
			CreateDirectory "$1\GrampsPortableLegacy3"
			Rename "$INSTDIR\App" "$1\GrampsPortableLegacy3\App"
			CreateDirectory "$1\GrampsPortableLegacy3\Data"
			CopyFiles /SILENT "$INSTDIR\Data\*.*" "$1\GrampsPortableLegacy3\Data"
			Rename "$INSTDIR\Other" "$1\GrampsPortableLegacy3\Other"
			Rename "$INSTDIR\GrampsPortable.exe" "$1\GrampsPortableLegacy3\GrampsPortable.exe"
			CopyFiles /SILENT "$INSTDIR\GrampsPortable.ini" "$1\GrampsPortableLegacy3"
			Rename "$INSTDIR\help.html" "$1\GrampsPortableLegacy3\help.html"
			WriteINIStr "$1\GrampsPortableLegacy3\App\AppInfo\appinfo.ini" "Details" "Name" "Gramps Portable (Legacy 3.x)"
			WriteINIStr "$1\GrampsPortableLegacy3\App\AppInfo\appinfo.ini" "Details" "AppID" "GrampsPortableLegacy3"
		${Else}
			${VersionCompare} $2 "5.1.6.0" $R0
			${If} $R0 == 2
				System::Call kernel32::GetCurrentProcess()i.s
				System::Call kernel32::IsWow64Process(is,*i.r0)
				${If} $0 == 0 ;32-bit
					;Create legacy version
					${GetParent} $INSTDIR $1
					CreateDirectory "$1\GrampsPortableLegacyx86"
					CopyFiles /SILENT "$INSTDIR\*.*" "$1\GrampsPortableLegacyx86"
					WriteINIStr "$1\GrampsPortableLegacyx86\App\AppInfo\AppInfo.ini" "Details" "AppID" "GrampsPortableLegacyx86"
					WriteINIStr "$1\GrampsPortableLegacyx86\App\AppInfo\AppInfo.ini" "Details" "Name" "Gramps Portable (Legacy 32-bit)"
				${EndIf}
			${Else}
				${VersionCompare} $2 "5.2.0.0" $R0
				${If} $R0 == 2
					ReadRegStr $1 HKLM "Software\Microsoft\Windows NT\CurrentVersion" "CurrentBuild"
					${If} $1 < 9200 ;Windows 7
						${GetParent} $INSTDIR $1
						${IfNot} ${FileExists} "$1\GrampsPortableLegacyWin7\*.*"
							${GetParent} $INSTDIR $1
							CreateDirectory "$1\GrampsPortableLegacyWin7"
							CopyFiles /SILENT "$INSTDIR\*.*" "$1\GrampsPortableLegacyWin7"
							WriteINIStr "$1\GrampsPortableLegacyWin7\App\AppInfo\AppInfo.ini" "Format" "Version" "3.8"
							WriteINIStr "$1\GrampsPortableLegacyWin7\App\AppInfo\AppInfo.ini" "Details" "AppID" "GrampsPortableLegacyWin7"
							WriteINIStr "$1\GrampsPortableLegacyWin7\App\AppInfo\AppInfo.ini" "Details" "Name" "Gramps Portable (Legacy Win7)"
							StrCpy $bolCustomCreatedLegacy true
							WriteINIStr "$1\GrampsPortableLegacyWin7\App\AppInfo\AppInfo.ini" "Control" "Start" "GrampsPortableLegacyWin7.exe"
							Rename "$1\GrampsPortableLegacyWin7\App\AppInfo\Launcher\GrampsPortable.ini" "$1\GrampsPortableLegacyWin7\App\AppInfo\Launcher\GrampsPortableLegacyWin7.ini"
							Rename "$1\GrampsPortableLegacyWin7\GrampsPortable.exe" "$1\GrampsPortableLegacyWin7\GrampsPortableLegacyWin7.exe"
						${EndIf}	
					${EndIf}
				${EndIf}
			${EndIf}
		${EndIf}
	${EndIf}
!macroend

!macro CustomCodePostInstall
	${If} ${FileExists} "$INSTDIR\App\Gramps\share\enchant\hunspell-all\*.*"
		Rename "$INSTDIR\App\Gramps\share\enchant\hunspell\en_US.aff" "$INSTDIR\App\Gramps\share\enchant\hunspell-all\en_US.aff"
		Rename "$INSTDIR\App\Gramps\share\enchant\hunspell\en_US.dic" "$INSTDIR\App\Gramps\share\enchant\hunspell-all\en_US.dic"
		RMDir "$INSTDIR\App\Gramps\share\enchant\hunspell"
		Rename "$INSTDIR\App\Gramps\share\enchant\hunspell-all" "$INSTDIR\App\Gramps\share\enchant\hunspell"
	${EndIf}
	${If} $bolCustomCreatedLegacy == true
		${GetParent} $INSTDIR $1
		Delete "$1\GrampsPortableLegacyWin7\GrampsPortableLegacyWin7.exe"
		CopyFiles /SILENT "$INSTDIR\Other\Source\Legacy\GrampsPortableLegacyWin7.exe" "$1\GrampsPortableLegacyWin7"
		Delete "$1\GrampsPortableLegacyWin7\App\AppInfo\Launcher\custom.nsh"
		Delete "$1\GrampsPortableLegacyWin7\Other\Source\PortableApps.comInstallerCustom.nsh"
	${EndIf}
!macroend